> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotdx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List requisitions

> Retrieve a list of requisitions.

<Warning>Access to requisitioning is disabled by default. To enable it, talk to us and we'll get you set up</Warning>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "requisition_id": "f0e5a607-5b52-4d7c-a3f2-c40772d41482",
      "barcode": "19742938328",
      "account_number": "1234567890",
      "lab": "CRL",
      "panels": [
        "PANEL-123"
      ],
      "patient": {
        "first_name": "Alice",
        "last_name": "Smith",
        "email": "alice123@gmail.com",
        "phone": "1234567890",
        "sex": "F",
        "date_of_birth": "2023-02-08",
        "address": {
          "street1": "123 Main St",
          "street2": "Apt 1",
          "city": "San Francisco",
          "state": "CA",
          "country": "US",
          "zip": "94105"
        }
      },
      "status": "resulted"
    }
  ]
  ```
</ResponseExample>


## OpenAPI

````yaml GET /api/v2/requisitions/
openapi: 3.0.3
info:
  title: Spot API v2
  version: 2.0.0
  description: API Docs for Spot API
servers:
  - url: https://app.spotdx.com
    description: Production
security: []
paths:
  /api/v2/requisitions/:
    get:
      description: Retrieve a list of requisitions.
      operationId: api_v2_list_requisitions
      parameters:
        - in: query
          name: lab
          schema:
            type: string
          description: >-
            Filter by the lab name. This is case sensitive. If there is a space
            in the lab's name, use %20 in the url instead, eg. The Lab would
            become ?lab=The%20Lab
        - in: query
          name: first_name
          schema:
            type: string
          description: Filter by first name.
        - in: query
          name: last_name
          schema:
            type: string
          description: Filter by last name.
        - in: query
          name: email
          schema:
            type: string
          description: Filter by email.
        - in: query
          name: phone
          schema:
            type: string
          description: Filter by phone number.
        - in: query
          name: status
          schema:
            type: string
          description: Filter by status.
        - in: query
          name: created_before
          schema:
            type: string
          description: >-
            Only retrieve orders created on or before this date. Format:
            YYYY-MM-DD
        - in: query
          name: created_after
          schema:
            type: string
          description: >-
            Only retrieve orders created on or after this date. Format:
            YYYY-MM-DD
        - in: query
          name: updated_before
          schema:
            type: string
          description: >-
            Only retrieve orders updated on or before this date. Format:
            YYYY-MM-DD
        - in: query
          name: updated_after
          schema:
            type: string
          description: >-
            Only retrieve orders updated on or after this date. Format:
            YYYY-MM-DD
        - in: query
          name: offset
          schema:
            type: integer
          description: The offset to start the list from.
        - in: query
          name: results
          schema:
            type: integer
          description: The number of results to retrieve per page.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RequisitionSummary'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    RequisitionSummary:
      type: object
      properties:
        requisition_id:
          type: string
          description: The ID of the requisition.
          example: f0e5a607-5b52-4d7c-a3f2-c40772d41482
        barcode:
          type: string
          description: >-
            The full barcode of the sample mailed to the lab. Must be globally
            unique.
          example: '19742938328'
        account_number:
          type: string
          description: The account number submitted to the lab.
          example: '1234567890'
        lab:
          type: string
          description: The name of the lab that will process the sample.
          example: CRL
        panels:
          type: array
          description: >-
            The panel codes of the test being performed on the sample. We'll
            create these with you during onboarding.
          example:
            - PANEL-123
          items:
            type: string
        patient:
          allOf:
            - $ref: '#/components/schemas/Patient'
            - type: object
              properties:
                address:
                  $ref: '#/components/schemas/Address'
        status:
          type: string
          enum:
            - created
            - approved
            - denied
            - delivered
            - received
            - extra_quality_checks
            - resulted
            - rejected
            - delivery_exception
          example: resulted
        created:
          type: string
          format: date-time
          example: '2020-01-01T00:00:00Z'
        updated:
          type: string
          format: date-time
          example: '2020-01-01T00:00:00Z'
    Patient:
      type: object
      properties:
        first_name:
          type: string
          description: The first name of the patient.
          example: Alice
        last_name:
          type: string
          description: The last name of the patient to be created.
          example: Smith
        email:
          type: string
          format: email
          description: The email of the patient to be created.
          example: alice123@gmail.com
        phone:
          type: string
          description: Optional phone number of the patient.
          example: '1234567890'
        sex:
          type: string
          description: The biological sex of the patient to be created.
          enum:
            - M
            - F
          example: F
        date_of_birth:
          type: string
          format: date
          description: The date of birth of the patient to be created.
      required:
        - date_of_birth
        - email
        - first_name
        - last_name
        - sex
    Address:
      type: object
      properties:
        street1:
          type: string
          description: Recipient's address.
          example: 123 Main St
        street2:
          description: Second line of recipient's address.
          type: string
          nullable: true
          example: Apt 1
        city:
          type: string
          description: Recipient's city of residence.
          example: San Francisco
        state:
          type: string
          description: Recipient's state of residence.
          example: CA
        country:
          type: string
          description: Recipient's country of residence.
          enum:
            - US
            - CA
          example: US
        zip:
          type: string
          description: Recipient's zip code.
          example: '94105'
      required:
        - street1
        - city
        - state
        - country
        - zip
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````